Package org.spongepowered.asm.util.internal

## Class SLNumberParser

- java.lang.Object
- - org.spongepowered.asm.util.internal.SLNumberParser

    @Internal
    public final class SLNumberParser
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable java.lang.Double` `parseDouble​(java.lang.String str)`
`static @Nullable java.lang.Float` `parseFloat​(java.lang.String str)`
`static @Nullable java.lang.Integer` `parseInt​(java.lang.String str)`
`static @Nullable java.lang.Long` `parseLong​(java.lang.String str)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parseDouble

    @Nullable
    @Contract(pure=true)
    public static @Nullable java.lang.Double parseDouble​(java.lang.String str)

#### parseFloat

    @Nullable
    @Contract(pure=true)
    public static @Nullable java.lang.Float parseFloat​(java.lang.String str)

#### parseInt

    @Nullable
    @Contract(pure=true)
    public static @Nullable java.lang.Integer parseInt​(java.lang.String str)

#### parseLong

    @Nullable
    @Contract(pure=true)
    public static @Nullable java.lang.Long parseLong​(java.lang.String str)